Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy
Interface DependencyArtifactDescriptor

All Known Implementing Classes:
  DefaultDependencyArtifactDescriptor

public interface DependencyArtifactDescriptor

This describes an artifact that is asked for a dependency. It is used to resctrict the artifacts asked for a dependency, or describe them when there is no ivy file.

Method Summary
`java.lang.String[]` | `getConfigurations()` Returns the configurations of the module in which the artifact is asked
`DependencyDescriptor` | `getDependency()` Returns the dependency descriptor in which this artifact is asked
`java.lang.String` | `getExt()` Returns the ext of the artifact asked
`ArtifactId` | `getId()` Returns the id of the described artifact, without revision information
`PatternMatcher` | `getMatcher()` Returns the matcher to use to know if an artifact match the current descriptor
`java.lang.String` | `getName()` Returns the name of the artifact asked
`java.lang.String` | `getType()` Returns the type of the artifact asked

Method Detail

### getDependency

    public DependencyDescriptor getDependency()

  Returns the dependency descriptor in which this artifact is asked

  Returns:

### getId

    public ArtifactId getId()

  Returns the id of the described artifact, without revision information

  Returns:

### getName

    public java.lang.String getName()

  Returns the name of the artifact asked

  Returns:

### getType

    public java.lang.String getType()

  Returns the type of the artifact asked

  Returns:

### getExt

    public java.lang.String getExt()

  Returns the ext of the artifact asked

  Returns:

### getConfigurations

    public java.lang.String[] getConfigurations()

  Returns the configurations of the module in which the artifact is asked

  Returns:
    an array of configuration names in which the artifact is asked

### getMatcher

    public PatternMatcher getMatcher()

  Returns the matcher to use to know if an artifact match the current descriptor

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD